Results 1 to 4 of 4

Thread: What firmware is required to run PSP Street Fighter Alpha 3?

  
  1. #1
    speL is offline -Hacks Newbie
    Join Date
    Aug 2005
    Posts
    8
    Rep Power
    0

    Default

    I have an original 1.5 and don't want to bother with downgraders, etc. Does anyone know the firmware requirements for SF-A3?

    Thanks.


  2. #2
    speL is offline -Hacks Newbie
    Join Date
    Aug 2005
    Posts
    8
    Rep Power
    0

    Default

    After posting, I decided to search and found this post:
    http://www.psp-hacks.com/forums/viewtopic.php?id=21362

    I guess you need 2.6

  3. #3
    HotShotAzn is offline -Hacks Ninja
    Join Date
    Nov 2005
    Posts
    797
    Rep Power
    0

    Default

    or 2.0 and the firmware changer
    Sig-a-what?

  4. #4
    Ace 519 is offline -Hacks Enthusiast
    Join Date
    Nov 2005
    Posts
    342
    Rep Power
    14

    Default

    wtf are you talking about? You need 2.5 to play alpha 3.
    \"You can\'t change the world, but you can put a dent in it.\" -dunno who said it, but I heard it.

    http://gh.ffshrine.org

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •